Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class EnquiryNcbType

    java.lang.Object
      nz.co.cks.tms.xml.EnquiryNcbType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EnquiryNcb

public abstract class EnquiryNcbType
extends java.lang.Object
implements java.io.Serializable

Class EnquiryNcbType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` | `_has_ncbId` keeps track of state for field: _ncbId
`private int` | `_ncbId` Field _ncbId

Constructor Summary
`EnquiryNcbType()`

Method Summary
`int` | `getNcbId()` Method getNcbIdReturns the value of field 'ncbId'.
`boolean` | `hasNcbId()` Method hasNcbId
`boolean` | `isValid()` Method isValid
`void` | `setNcbId(int ncbId)` Method setNcbIdSets the value of field 'ncbId'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _has_ncbId

    private boolean _has_ncbId

  keeps track of state for field: _ncbId

### _ncbId

    private int _ncbId

  Field _ncbId

Constructor Detail

### EnquiryNcbType

    public EnquiryNcbType()

Method Detail

### getNcbId

    public int getNcbId()

  Method getNcbIdReturns the value of field 'ncbId'.

  Returns:
    the value of field 'ncbId'.

### hasNcbId

    public boolean hasNcbId()

  Method hasNcbId

### isValid

    public boolean isValid()

  Method isValid

### setNcbId

    public void setNcbId(int ncbId)

  Method setNcbIdSets the value of field 'ncbId'.

  Parameters:
    `ncbId` - the value of field 'ncbId'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD